Why can USB 2.01 (inclusive or later) devices be recognized in Windows 7, but cannot be recognized in Windows 8 or later

Post Reply
a_ziliu
Posts: 116
Joined: 20 Mar 2017, 10:52

27 Mar 2017, 14:56

This is because Microsoft Windows 8 and later versions require USB 2.01 devices (or later version) to respond to BOS description.
There are two solutions:
If the version shown in the USB is 2.01 (inclusive) or later, but the actual application does not have to be, user can change the version to 1.1 or 1.0, which does not require BOS description.
Refer to the USB example of NUC121 or M480 BSP for adding the BOS description.

Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest